//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ModeloCartaPorte
{
    using System;
    using System.Collections.Generic;
    
    public partial class Transportista
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Transportista()
        {
            this.CartaPorte = new HashSet<CartaPorte>();
        }
    
        public int Id { get; set; }
        public string Tipos { get; set; }
        public string RFC { get; set; }
        public string NumeroLicencia { get; set; }
        public string Nombre { get; set; }
        public string Residencia { get; set; }
        public string Domicilio { get; set; }
        public string Estado { get; set; }
        public string Pais { get; set; }
        public string CodigoPostal { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<CartaPorte> CartaPorte { get; set; }
    }
}
